IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/56
Addresses2^72
/64 networks256
- Network
2001:db8:0:2400::/56- First address
2001:db8:0:2400::- Last address
2001:db8:0:24ff:ffff:ffff:ffff:ffff- Addresses
- 4,722,366,482,869,645,213,696 (2^72)
- /64 networks (LANs)
- 256
- Full form
2001:0db8:0000:2400:0000:0000:0000:0000- Type
- Documentation 2001:db8::/32
For examples; never used on a network - Reverse DNS zone
4.2.0.0.0.0.8.b.d.0.1.0.0.2.ip6.arpa
Split into smaller subnets
2001:db8:0:2400::/56 makes 256 subnets of /64.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2001:db8:0:2400::/64 | 2001:db8:0:2400:ffff:ffff:ffff:ffff |
| 2 | 2001:db8:0:2401::/64 | 2001:db8:0:2401:ffff:ffff:ffff:ffff |
| 3 | 2001:db8:0:2402::/64 | 2001:db8:0:2402:ffff:ffff:ffff:ffff |
| 4 | 2001:db8:0:2403::/64 | 2001:db8:0:2403:ffff:ffff:ffff:ffff |
| 5 | 2001:db8:0:2404::/64 | 2001:db8:0:2404:ffff:ffff:ffff:ffff |
| 6 | 2001:db8:0:2405::/64 | 2001:db8:0:2405:ffff:ffff:ffff:ffff |
| 7 | 2001:db8:0:2406::/64 | 2001:db8:0:2406:ffff:ffff:ffff:ffff |
| 8 | 2001:db8:0:2407::/64 | 2001:db8:0:2407:ffff:ffff:ffff:ffff |
| 9 | 2001:db8:0:2408::/64 | 2001:db8:0:2408:ffff:ffff:ffff:ffff |
| 10 | 2001:db8:0:2409::/64 | 2001:db8:0:2409:ffff:ffff:ffff:ffff |
| 11 | 2001:db8:0:240a::/64 | 2001:db8:0:240a:ffff:ffff:ffff:ffff |
| 12 | 2001:db8:0:240b::/64 | 2001:db8:0:240b:ffff:ffff:ffff:ffff |
| 13 | 2001:db8:0:240c::/64 | 2001:db8:0:240c:ffff:ffff:ffff:ffff |
| 14 | 2001:db8:0:240d::/64 | 2001:db8:0:240d:ffff:ffff:ffff:ffff |
| 15 | 2001:db8:0:240e::/64 | 2001:db8:0:240e:ffff:ffff:ffff:ffff |
| 16 | 2001:db8:0:240f::/64 | 2001:db8:0:240f:ffff:ffff:ffff:ffff |
| 17 | 2001:db8:0:2410::/64 | 2001:db8:0:2410:ffff:ffff:ffff:ffff |
| 18 | 2001:db8:0:2411::/64 | 2001:db8:0:2411:ffff:ffff:ffff:ffff |
| 19 | 2001:db8:0:2412::/64 | 2001:db8:0:2412:ffff:ffff:ffff:ffff |
| 20 | 2001:db8:0:2413::/64 | 2001:db8:0:2413:ffff:ffff:ffff:ffff |
| 21 | 2001:db8:0:2414::/64 | 2001:db8:0:2414:ffff:ffff:ffff:ffff |
| 22 | 2001:db8:0:2415::/64 | 2001:db8:0:2415:ffff:ffff:ffff:ffff |
| 23 | 2001:db8:0:2416::/64 | 2001:db8:0:2416:ffff:ffff:ffff:ffff |
| 24 | 2001:db8:0:2417::/64 | 2001:db8:0:2417:ffff:ffff:ffff:ffff |
| 25 | 2001:db8:0:2418::/64 | 2001:db8:0:2418:ffff:ffff:ffff:ffff |
| 26 | 2001:db8:0:2419::/64 | 2001:db8:0:2419:ffff:ffff:ffff:ffff |
| 27 | 2001:db8:0:241a::/64 | 2001:db8:0:241a:ffff:ffff:ffff:ffff |
| 28 | 2001:db8:0:241b::/64 | 2001:db8:0:241b:ffff:ffff:ffff:ffff |
| 29 | 2001:db8:0:241c::/64 | 2001:db8:0:241c:ffff:ffff:ffff:ffff |
| 30 | 2001:db8:0:241d::/64 | 2001:db8:0:241d:ffff:ffff:ffff:ffff |
| 31 | 2001:db8:0:241e::/64 | 2001:db8:0:241e:ffff:ffff:ffff:ffff |
| 32 | 2001:db8:0:241f::/64 | 2001:db8:0:241f:ffff:ffff:ffff:ffff |
| 33 | 2001:db8:0:2420::/64 | 2001:db8:0:2420:ffff:ffff:ffff:ffff |
| 34 | 2001:db8:0:2421::/64 | 2001:db8:0:2421:ffff:ffff:ffff:ffff |
| 35 | 2001:db8:0:2422::/64 | 2001:db8:0:2422:ffff:ffff:ffff:ffff |
| 36 | 2001:db8:0:2423::/64 | 2001:db8:0:2423:ffff:ffff:ffff:ffff |
| 37 | 2001:db8:0:2424::/64 | 2001:db8:0:2424:ffff:ffff:ffff:ffff |
| 38 | 2001:db8:0:2425::/64 | 2001:db8:0:2425:ffff:ffff:ffff:ffff |
| 39 | 2001:db8:0:2426::/64 | 2001:db8:0:2426:ffff:ffff:ffff:ffff |
| 40 | 2001:db8:0:2427::/64 | 2001:db8:0:2427:ffff:ffff:ffff:ffff |
| 41 | 2001:db8:0:2428::/64 | 2001:db8:0:2428:ffff:ffff:ffff:ffff |
| 42 | 2001:db8:0:2429::/64 | 2001:db8:0:2429:ffff:ffff:ffff:ffff |
| 43 | 2001:db8:0:242a::/64 | 2001:db8:0:242a:ffff:ffff:ffff:ffff |
| 44 | 2001:db8:0:242b::/64 | 2001:db8:0:242b:ffff:ffff:ffff:ffff |
| 45 | 2001:db8:0:242c::/64 | 2001:db8:0:242c:ffff:ffff:ffff:ffff |
| 46 | 2001:db8:0:242d::/64 | 2001:db8:0:242d:ffff:ffff:ffff:ffff |
| 47 | 2001:db8:0:242e::/64 | 2001:db8:0:242e:ffff:ffff:ffff:ffff |
| 48 | 2001:db8:0:242f::/64 | 2001:db8:0:242f:ffff:ffff:ffff:ffff |
| 49 | 2001:db8:0:2430::/64 | 2001:db8:0:2430:ffff:ffff:ffff:ffff |
| 50 | 2001:db8:0:2431::/64 | 2001:db8:0:2431:ffff:ffff:ffff:ffff |
| 51 | 2001:db8:0:2432::/64 | 2001:db8:0:2432:ffff:ffff:ffff:ffff |
| 52 | 2001:db8:0:2433::/64 | 2001:db8:0:2433:ffff:ffff:ffff:ffff |
| 53 | 2001:db8:0:2434::/64 | 2001:db8:0:2434:ffff:ffff:ffff:ffff |
| 54 | 2001:db8:0:2435::/64 | 2001:db8:0:2435:ffff:ffff:ffff:ffff |
| 55 | 2001:db8:0:2436::/64 | 2001:db8:0:2436:ffff:ffff:ffff:ffff |
| 56 | 2001:db8:0:2437::/64 | 2001:db8:0:2437:ffff:ffff:ffff:ffff |
| 57 | 2001:db8:0:2438::/64 | 2001:db8:0:2438:ffff:ffff:ffff:ffff |
| 58 | 2001:db8:0:2439::/64 | 2001:db8:0:2439:ffff:ffff:ffff:ffff |
| 59 | 2001:db8:0:243a::/64 | 2001:db8:0:243a:ffff:ffff:ffff:ffff |
| 60 | 2001:db8:0:243b::/64 | 2001:db8:0:243b:ffff:ffff:ffff:ffff |
| 61 | 2001:db8:0:243c::/64 | 2001:db8:0:243c:ffff:ffff:ffff:ffff |
| 62 | 2001:db8:0:243d::/64 | 2001:db8:0:243d:ffff:ffff:ffff:ffff |
| 63 | 2001:db8:0:243e::/64 | 2001:db8:0:243e:ffff:ffff:ffff:ffff |
| 64 | 2001:db8:0:243f::/64 | 2001:db8:0:243f:ffff:ffff:ffff:ffff |
| 65 | 2001:db8:0:2440::/64 | 2001:db8:0:2440:ffff:ffff:ffff:ffff |
| 66 | 2001:db8:0:2441::/64 | 2001:db8:0:2441:ffff:ffff:ffff:ffff |
| 67 | 2001:db8:0:2442::/64 | 2001:db8:0:2442:ffff:ffff:ffff:ffff |
| 68 | 2001:db8:0:2443::/64 | 2001:db8:0:2443:ffff:ffff:ffff:ffff |
| 69 | 2001:db8:0:2444::/64 | 2001:db8:0:2444:ffff:ffff:ffff:ffff |
| 70 | 2001:db8:0:2445::/64 | 2001:db8:0:2445:ffff:ffff:ffff:ffff |
| 71 | 2001:db8:0:2446::/64 | 2001:db8:0:2446:ffff:ffff:ffff:ffff |
| 72 | 2001:db8:0:2447::/64 | 2001:db8:0:2447:ffff:ffff:ffff:ffff |
| 73 | 2001:db8:0:2448::/64 | 2001:db8:0:2448:ffff:ffff:ffff:ffff |
| 74 | 2001:db8:0:2449::/64 | 2001:db8:0:2449:ffff:ffff:ffff:ffff |
| 75 | 2001:db8:0:244a::/64 | 2001:db8:0:244a:ffff:ffff:ffff:ffff |
| 76 | 2001:db8:0:244b::/64 | 2001:db8:0:244b:ffff:ffff:ffff:ffff |
| 77 | 2001:db8:0:244c::/64 | 2001:db8:0:244c:ffff:ffff:ffff:ffff |
| 78 | 2001:db8:0:244d::/64 | 2001:db8:0:244d:ffff:ffff:ffff:ffff |
| 79 | 2001:db8:0:244e::/64 | 2001:db8:0:244e:ffff:ffff:ffff:ffff |
| 80 | 2001:db8:0:244f::/64 | 2001:db8:0:244f:ffff:ffff:ffff:ffff |
| 81 | 2001:db8:0:2450::/64 | 2001:db8:0:2450:ffff:ffff:ffff:ffff |
| 82 | 2001:db8:0:2451::/64 | 2001:db8:0:2451:ffff:ffff:ffff:ffff |
| 83 | 2001:db8:0:2452::/64 | 2001:db8:0:2452:ffff:ffff:ffff:ffff |
| 84 | 2001:db8:0:2453::/64 | 2001:db8:0:2453:ffff:ffff:ffff:ffff |
| 85 | 2001:db8:0:2454::/64 | 2001:db8:0:2454:ffff:ffff:ffff:ffff |
| 86 | 2001:db8:0:2455::/64 | 2001:db8:0:2455:ffff:ffff:ffff:ffff |
| 87 | 2001:db8:0:2456::/64 | 2001:db8:0:2456:ffff:ffff:ffff:ffff |
| 88 | 2001:db8:0:2457::/64 | 2001:db8:0:2457:ffff:ffff:ffff:ffff |
| 89 | 2001:db8:0:2458::/64 | 2001:db8:0:2458:ffff:ffff:ffff:ffff |
| 90 | 2001:db8:0:2459::/64 | 2001:db8:0:2459:ffff:ffff:ffff:ffff |
| 91 | 2001:db8:0:245a::/64 | 2001:db8:0:245a:ffff:ffff:ffff:ffff |
| 92 | 2001:db8:0:245b::/64 | 2001:db8:0:245b:ffff:ffff:ffff:ffff |
| 93 | 2001:db8:0:245c::/64 | 2001:db8:0:245c:ffff:ffff:ffff:ffff |
| 94 | 2001:db8:0:245d::/64 | 2001:db8:0:245d:ffff:ffff:ffff:ffff |
| 95 | 2001:db8:0:245e::/64 | 2001:db8:0:245e:ffff:ffff:ffff:ffff |
| 96 | 2001:db8:0:245f::/64 | 2001:db8:0:245f:ffff:ffff:ffff:ffff |
| 97 | 2001:db8:0:2460::/64 | 2001:db8:0:2460:ffff:ffff:ffff:ffff |
| 98 | 2001:db8:0:2461::/64 | 2001:db8:0:2461:ffff:ffff:ffff:ffff |
| 99 | 2001:db8:0:2462::/64 | 2001:db8:0:2462:ffff:ffff:ffff:ffff |
| 100 | 2001:db8:0:2463::/64 | 2001:db8:0:2463:ffff:ffff:ffff:ffff |
| 101 | 2001:db8:0:2464::/64 | 2001:db8:0:2464:ffff:ffff:ffff:ffff |
| 102 | 2001:db8:0:2465::/64 | 2001:db8:0:2465:ffff:ffff:ffff:ffff |
| 103 | 2001:db8:0:2466::/64 | 2001:db8:0:2466:ffff:ffff:ffff:ffff |
| 104 | 2001:db8:0:2467::/64 | 2001:db8:0:2467:ffff:ffff:ffff:ffff |
| 105 | 2001:db8:0:2468::/64 | 2001:db8:0:2468:ffff:ffff:ffff:ffff |
| 106 | 2001:db8:0:2469::/64 | 2001:db8:0:2469:ffff:ffff:ffff:ffff |
| 107 | 2001:db8:0:246a::/64 | 2001:db8:0:246a:ffff:ffff:ffff:ffff |
| 108 | 2001:db8:0:246b::/64 | 2001:db8:0:246b:ffff:ffff:ffff:ffff |
| 109 | 2001:db8:0:246c::/64 | 2001:db8:0:246c:ffff:ffff:ffff:ffff |
| 110 | 2001:db8:0:246d::/64 | 2001:db8:0:246d:ffff:ffff:ffff:ffff |
| 111 | 2001:db8:0:246e::/64 | 2001:db8:0:246e:ffff:ffff:ffff:ffff |
| 112 | 2001:db8:0:246f::/64 | 2001:db8:0:246f:ffff:ffff:ffff:ffff |
| 113 | 2001:db8:0:2470::/64 | 2001:db8:0:2470:ffff:ffff:ffff:ffff |
| 114 | 2001:db8:0:2471::/64 | 2001:db8:0:2471:ffff:ffff:ffff:ffff |
| 115 | 2001:db8:0:2472::/64 | 2001:db8:0:2472:ffff:ffff:ffff:ffff |
| 116 | 2001:db8:0:2473::/64 | 2001:db8:0:2473:ffff:ffff:ffff:ffff |
| 117 | 2001:db8:0:2474::/64 | 2001:db8:0:2474:ffff:ffff:ffff:ffff |
| 118 | 2001:db8:0:2475::/64 | 2001:db8:0:2475:ffff:ffff:ffff:ffff |
| 119 | 2001:db8:0:2476::/64 | 2001:db8:0:2476:ffff:ffff:ffff:ffff |
| 120 | 2001:db8:0:2477::/64 | 2001:db8:0:2477:ffff:ffff:ffff:ffff |
| 121 | 2001:db8:0:2478::/64 | 2001:db8:0:2478:ffff:ffff:ffff:ffff |
| 122 | 2001:db8:0:2479::/64 | 2001:db8:0:2479:ffff:ffff:ffff:ffff |
| 123 | 2001:db8:0:247a::/64 | 2001:db8:0:247a:ffff:ffff:ffff:ffff |
| 124 | 2001:db8:0:247b::/64 | 2001:db8:0:247b:ffff:ffff:ffff:ffff |
| 125 | 2001:db8:0:247c::/64 | 2001:db8:0:247c:ffff:ffff:ffff:ffff |
| 126 | 2001:db8:0:247d::/64 | 2001:db8:0:247d:ffff:ffff:ffff:ffff |
| 127 | 2001:db8:0:247e::/64 | 2001:db8:0:247e:ffff:ffff:ffff:ffff |
| 128 | 2001:db8:0:247f::/64 | 2001:db8:0:247f:ffff:ffff:ffff:ffff |
| 129 | 2001:db8:0:2480::/64 | 2001:db8:0:2480:ffff:ffff:ffff:ffff |
| 130 | 2001:db8:0:2481::/64 | 2001:db8:0:2481:ffff:ffff:ffff:ffff |
| 131 | 2001:db8:0:2482::/64 | 2001:db8:0:2482:ffff:ffff:ffff:ffff |
| 132 | 2001:db8:0:2483::/64 | 2001:db8:0:2483:ffff:ffff:ffff:ffff |
| 133 | 2001:db8:0:2484::/64 | 2001:db8:0:2484:ffff:ffff:ffff:ffff |
| 134 | 2001:db8:0:2485::/64 | 2001:db8:0:2485:ffff:ffff:ffff:ffff |
| 135 | 2001:db8:0:2486::/64 | 2001:db8:0:2486:ffff:ffff:ffff:ffff |
| 136 | 2001:db8:0:2487::/64 | 2001:db8:0:2487:ffff:ffff:ffff:ffff |
| 137 | 2001:db8:0:2488::/64 | 2001:db8:0:2488:ffff:ffff:ffff:ffff |
| 138 | 2001:db8:0:2489::/64 | 2001:db8:0:2489:ffff:ffff:ffff:ffff |
| 139 | 2001:db8:0:248a::/64 | 2001:db8:0:248a:ffff:ffff:ffff:ffff |
| 140 | 2001:db8:0:248b::/64 | 2001:db8:0:248b:ffff:ffff:ffff:ffff |
| 141 | 2001:db8:0:248c::/64 | 2001:db8:0:248c:ffff:ffff:ffff:ffff |
| 142 | 2001:db8:0:248d::/64 | 2001:db8:0:248d:ffff:ffff:ffff:ffff |
| 143 | 2001:db8:0:248e::/64 | 2001:db8:0:248e:ffff:ffff:ffff:ffff |
| 144 | 2001:db8:0:248f::/64 | 2001:db8:0:248f:ffff:ffff:ffff:ffff |
| 145 | 2001:db8:0:2490::/64 | 2001:db8:0:2490:ffff:ffff:ffff:ffff |
| 146 | 2001:db8:0:2491::/64 | 2001:db8:0:2491:ffff:ffff:ffff:ffff |
| 147 | 2001:db8:0:2492::/64 | 2001:db8:0:2492:ffff:ffff:ffff:ffff |
| 148 | 2001:db8:0:2493::/64 | 2001:db8:0:2493:ffff:ffff:ffff:ffff |
| 149 | 2001:db8:0:2494::/64 | 2001:db8:0:2494:ffff:ffff:ffff:ffff |
| 150 | 2001:db8:0:2495::/64 | 2001:db8:0:2495:ffff:ffff:ffff:ffff |
| 151 | 2001:db8:0:2496::/64 | 2001:db8:0:2496:ffff:ffff:ffff:ffff |
| 152 | 2001:db8:0:2497::/64 | 2001:db8:0:2497:ffff:ffff:ffff:ffff |
| 153 | 2001:db8:0:2498::/64 | 2001:db8:0:2498:ffff:ffff:ffff:ffff |
| 154 | 2001:db8:0:2499::/64 | 2001:db8:0:2499:ffff:ffff:ffff:ffff |
| 155 | 2001:db8:0:249a::/64 | 2001:db8:0:249a:ffff:ffff:ffff:ffff |
| 156 | 2001:db8:0:249b::/64 | 2001:db8:0:249b:ffff:ffff:ffff:ffff |
| 157 | 2001:db8:0:249c::/64 | 2001:db8:0:249c:ffff:ffff:ffff:ffff |
| 158 | 2001:db8:0:249d::/64 | 2001:db8:0:249d:ffff:ffff:ffff:ffff |
| 159 | 2001:db8:0:249e::/64 | 2001:db8:0:249e:ffff:ffff:ffff:ffff |
| 160 | 2001:db8:0:249f::/64 | 2001:db8:0:249f:ffff:ffff:ffff:ffff |
| 161 | 2001:db8:0:24a0::/64 | 2001:db8:0:24a0:ffff:ffff:ffff:ffff |
| 162 | 2001:db8:0:24a1::/64 | 2001:db8:0:24a1:ffff:ffff:ffff:ffff |
| 163 | 2001:db8:0:24a2::/64 | 2001:db8:0:24a2:ffff:ffff:ffff:ffff |
| 164 | 2001:db8:0:24a3::/64 | 2001:db8:0:24a3:ffff:ffff:ffff:ffff |
| 165 | 2001:db8:0:24a4::/64 | 2001:db8:0:24a4:ffff:ffff:ffff:ffff |
| 166 | 2001:db8:0:24a5::/64 | 2001:db8:0:24a5:ffff:ffff:ffff:ffff |
| 167 | 2001:db8:0:24a6::/64 | 2001:db8:0:24a6:ffff:ffff:ffff:ffff |
| 168 | 2001:db8:0:24a7::/64 | 2001:db8:0:24a7:ffff:ffff:ffff:ffff |
| 169 | 2001:db8:0:24a8::/64 | 2001:db8:0:24a8:ffff:ffff:ffff:ffff |
| 170 | 2001:db8:0:24a9::/64 | 2001:db8:0:24a9:ffff:ffff:ffff:ffff |
| 171 | 2001:db8:0:24aa::/64 | 2001:db8:0:24aa:ffff:ffff:ffff:ffff |
| 172 | 2001:db8:0:24ab::/64 | 2001:db8:0:24ab:ffff:ffff:ffff:ffff |
| 173 | 2001:db8:0:24ac::/64 | 2001:db8:0:24ac:ffff:ffff:ffff:ffff |
| 174 | 2001:db8:0:24ad::/64 | 2001:db8:0:24ad:ffff:ffff:ffff:ffff |
| 175 | 2001:db8:0:24ae::/64 | 2001:db8:0:24ae:ffff:ffff:ffff:ffff |
| 176 | 2001:db8:0:24af::/64 | 2001:db8:0:24af:ffff:ffff:ffff:ffff |
| 177 | 2001:db8:0:24b0::/64 | 2001:db8:0:24b0:ffff:ffff:ffff:ffff |
| 178 | 2001:db8:0:24b1::/64 | 2001:db8:0:24b1:ffff:ffff:ffff:ffff |
| 179 | 2001:db8:0:24b2::/64 | 2001:db8:0:24b2:ffff:ffff:ffff:ffff |
| 180 | 2001:db8:0:24b3::/64 | 2001:db8:0:24b3:ffff:ffff:ffff:ffff |
| 181 | 2001:db8:0:24b4::/64 | 2001:db8:0:24b4:ffff:ffff:ffff:ffff |
| 182 | 2001:db8:0:24b5::/64 | 2001:db8:0:24b5:ffff:ffff:ffff:ffff |
| 183 | 2001:db8:0:24b6::/64 | 2001:db8:0:24b6:ffff:ffff:ffff:ffff |
| 184 | 2001:db8:0:24b7::/64 | 2001:db8:0:24b7:ffff:ffff:ffff:ffff |
| 185 | 2001:db8:0:24b8::/64 | 2001:db8:0:24b8:ffff:ffff:ffff:ffff |
| 186 | 2001:db8:0:24b9::/64 | 2001:db8:0:24b9:ffff:ffff:ffff:ffff |
| 187 | 2001:db8:0:24ba::/64 | 2001:db8:0:24ba:ffff:ffff:ffff:ffff |
| 188 | 2001:db8:0:24bb::/64 | 2001:db8:0:24bb:ffff:ffff:ffff:ffff |
| 189 | 2001:db8:0:24bc::/64 | 2001:db8:0:24bc:ffff:ffff:ffff:ffff |
| 190 | 2001:db8:0:24bd::/64 | 2001:db8:0:24bd:ffff:ffff:ffff:ffff |
| 191 | 2001:db8:0:24be::/64 | 2001:db8:0:24be:ffff:ffff:ffff:ffff |
| 192 | 2001:db8:0:24bf::/64 | 2001:db8:0:24bf:ffff:ffff:ffff:ffff |
| 193 | 2001:db8:0:24c0::/64 | 2001:db8:0:24c0:ffff:ffff:ffff:ffff |
| 194 | 2001:db8:0:24c1::/64 | 2001:db8:0:24c1:ffff:ffff:ffff:ffff |
| 195 | 2001:db8:0:24c2::/64 | 2001:db8:0:24c2:ffff:ffff:ffff:ffff |
| 196 | 2001:db8:0:24c3::/64 | 2001:db8:0:24c3:ffff:ffff:ffff:ffff |
| 197 | 2001:db8:0:24c4::/64 | 2001:db8:0:24c4:ffff:ffff:ffff:ffff |
| 198 | 2001:db8:0:24c5::/64 | 2001:db8:0:24c5:ffff:ffff:ffff:ffff |
| 199 | 2001:db8:0:24c6::/64 | 2001:db8:0:24c6:ffff:ffff:ffff:ffff |
| 200 | 2001:db8:0:24c7::/64 | 2001:db8:0:24c7:ffff:ffff:ffff:ffff |
| 201 | 2001:db8:0:24c8::/64 | 2001:db8:0:24c8:ffff:ffff:ffff:ffff |
| 202 | 2001:db8:0:24c9::/64 | 2001:db8:0:24c9:ffff:ffff:ffff:ffff |
| 203 | 2001:db8:0:24ca::/64 | 2001:db8:0:24ca:ffff:ffff:ffff:ffff |
| 204 | 2001:db8:0:24cb::/64 | 2001:db8:0:24cb:ffff:ffff:ffff:ffff |
| 205 | 2001:db8:0:24cc::/64 | 2001:db8:0:24cc:ffff:ffff:ffff:ffff |
| 206 | 2001:db8:0:24cd::/64 | 2001:db8:0:24cd:ffff:ffff:ffff:ffff |
| 207 | 2001:db8:0:24ce::/64 | 2001:db8:0:24ce:ffff:ffff:ffff:ffff |
| 208 | 2001:db8:0:24cf::/64 | 2001:db8:0:24cf:ffff:ffff:ffff:ffff |
| 209 | 2001:db8:0:24d0::/64 | 2001:db8:0:24d0:ffff:ffff:ffff:ffff |
| 210 | 2001:db8:0:24d1::/64 | 2001:db8:0:24d1:ffff:ffff:ffff:ffff |
| 211 | 2001:db8:0:24d2::/64 | 2001:db8:0:24d2:ffff:ffff:ffff:ffff |
| 212 | 2001:db8:0:24d3::/64 | 2001:db8:0:24d3:ffff:ffff:ffff:ffff |
| 213 | 2001:db8:0:24d4::/64 | 2001:db8:0:24d4:ffff:ffff:ffff:ffff |
| 214 | 2001:db8:0:24d5::/64 | 2001:db8:0:24d5:ffff:ffff:ffff:ffff |
| 215 | 2001:db8:0:24d6::/64 | 2001:db8:0:24d6:ffff:ffff:ffff:ffff |
| 216 | 2001:db8:0:24d7::/64 | 2001:db8:0:24d7:ffff:ffff:ffff:ffff |
| 217 | 2001:db8:0:24d8::/64 | 2001:db8:0:24d8:ffff:ffff:ffff:ffff |
| 218 | 2001:db8:0:24d9::/64 | 2001:db8:0:24d9:ffff:ffff:ffff:ffff |
| 219 | 2001:db8:0:24da::/64 | 2001:db8:0:24da:ffff:ffff:ffff:ffff |
| 220 | 2001:db8:0:24db::/64 | 2001:db8:0:24db:ffff:ffff:ffff:ffff |
| 221 | 2001:db8:0:24dc::/64 | 2001:db8:0:24dc:ffff:ffff:ffff:ffff |
| 222 | 2001:db8:0:24dd::/64 | 2001:db8:0:24dd:ffff:ffff:ffff:ffff |
| 223 | 2001:db8:0:24de::/64 | 2001:db8:0:24de:ffff:ffff:ffff:ffff |
| 224 | 2001:db8:0:24df::/64 | 2001:db8:0:24df:ffff:ffff:ffff:ffff |
| 225 | 2001:db8:0:24e0::/64 | 2001:db8:0:24e0:ffff:ffff:ffff:ffff |
| 226 | 2001:db8:0:24e1::/64 | 2001:db8:0:24e1:ffff:ffff:ffff:ffff |
| 227 | 2001:db8:0:24e2::/64 | 2001:db8:0:24e2:ffff:ffff:ffff:ffff |
| 228 | 2001:db8:0:24e3::/64 | 2001:db8:0:24e3:ffff:ffff:ffff:ffff |
| 229 | 2001:db8:0:24e4::/64 | 2001:db8:0:24e4:ffff:ffff:ffff:ffff |
| 230 | 2001:db8:0:24e5::/64 | 2001:db8:0:24e5:ffff:ffff:ffff:ffff |
| 231 | 2001:db8:0:24e6::/64 | 2001:db8:0:24e6:ffff:ffff:ffff:ffff |
| 232 | 2001:db8:0:24e7::/64 | 2001:db8:0:24e7:ffff:ffff:ffff:ffff |
| 233 | 2001:db8:0:24e8::/64 | 2001:db8:0:24e8:ffff:ffff:ffff:ffff |
| 234 | 2001:db8:0:24e9::/64 | 2001:db8:0:24e9:ffff:ffff:ffff:ffff |
| 235 | 2001:db8:0:24ea::/64 | 2001:db8:0:24ea:ffff:ffff:ffff:ffff |
| 236 | 2001:db8:0:24eb::/64 | 2001:db8:0:24eb:ffff:ffff:ffff:ffff |
| 237 | 2001:db8:0:24ec::/64 | 2001:db8:0:24ec:ffff:ffff:ffff:ffff |
| 238 | 2001:db8:0:24ed::/64 | 2001:db8:0:24ed:ffff:ffff:ffff:ffff |
| 239 | 2001:db8:0:24ee::/64 | 2001:db8:0:24ee:ffff:ffff:ffff:ffff |
| 240 | 2001:db8:0:24ef::/64 | 2001:db8:0:24ef:ffff:ffff:ffff:ffff |
| 241 | 2001:db8:0:24f0::/64 | 2001:db8:0:24f0:ffff:ffff:ffff:ffff |
| 242 | 2001:db8:0:24f1::/64 | 2001:db8:0:24f1:ffff:ffff:ffff:ffff |
| 243 | 2001:db8:0:24f2::/64 | 2001:db8:0:24f2:ffff:ffff:ffff:ffff |
| 244 | 2001:db8:0:24f3::/64 | 2001:db8:0:24f3:ffff:ffff:ffff:ffff |
| 245 | 2001:db8:0:24f4::/64 | 2001:db8:0:24f4:ffff:ffff:ffff:ffff |
| 246 | 2001:db8:0:24f5::/64 | 2001:db8:0:24f5:ffff:ffff:ffff:ffff |
| 247 | 2001:db8:0:24f6::/64 | 2001:db8:0:24f6:ffff:ffff:ffff:ffff |
| 248 | 2001:db8:0:24f7::/64 | 2001:db8:0:24f7:ffff:ffff:ffff:ffff |
| 249 | 2001:db8:0:24f8::/64 | 2001:db8:0:24f8:ffff:ffff:ffff:ffff |
| 250 | 2001:db8:0:24f9::/64 | 2001:db8:0:24f9:ffff:ffff:ffff:ffff |
| 251 | 2001:db8:0:24fa::/64 | 2001:db8:0:24fa:ffff:ffff:ffff:ffff |
| 252 | 2001:db8:0:24fb::/64 | 2001:db8:0:24fb:ffff:ffff:ffff:ffff |
| 253 | 2001:db8:0:24fc::/64 | 2001:db8:0:24fc:ffff:ffff:ffff:ffff |
| 254 | 2001:db8:0:24fd::/64 | 2001:db8:0:24fd:ffff:ffff:ffff:ffff |
| 255 | 2001:db8:0:24fe::/64 | 2001:db8:0:24fe:ffff:ffff:ffff:ffff |
| 256 | 2001:db8:0:24ff::/64 | 2001:db8:0:24ff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |